<?php
 /**
  *
  * Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana
  * @file politicas_direccionales_views_default.inc
  * Drupal part Module to install ente planificador module
  * Copyright 2011 Sistema Automatizado para la Planificación Estratégico-Situacional en la Administración Pública Venezolana (CENDITEL)
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation; either version 2 of the License, or
  * (at your option) any later version.
  * 
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  * 
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  *
  * @author Cenditel Merida - Ing. Jose Puentes
  * @date 2017-09-28 // (a&#241;o-mes-dia)
  * @version 0.2 // (0.1)
  *
  */

/**
 * Implementation of hook_views_default_views().
 */
function reportes_sipes_views_views_default_views() {
  $views = array();

$view = new view;
$view->name = 'reporte_poan_anual';
$view->description = '';
$view->tag = '';
$view->base_table = 'node';
$view->human_name = 'Reporte Poan Aual';
$view->core = 6;
$view->api_version = '3.0';
$view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

/* Display: Predefinidos */
$handler = $view->new_display('default', 'Predefinidos', 'default');
$handler->display->display_options['use_more_text'] = 'más';
$handler->display->display_options['access']['type'] = 'role';
$handler->display->display_options['access']['role'] = array(
  33 => 33,
  8 => 8,
  32 => 32,
  9 => 9,
  10 => 10,
);
$handler->display->display_options['cache']['type'] = 'none';
$handler->display->display_options['query']['type'] = 'views_query';
$handler->display->display_options['exposed_form']['type'] = 'basic';
$handler->display->display_options['exposed_form']['options']['submit_button'] = 'Aplicar';
$handler->display->display_options['exposed_form']['options']['reset_button_label'] = 'Reiniciar';
$handler->display->display_options['exposed_form']['options']['exposed_sorts_label'] = 'Ordenar por';
$handler->display->display_options['pager']['type'] = 'full';
$handler->display->display_options['pager']['options']['expose']['items_per_page_label'] = 'Elementos por página';
$handler->display->display_options['pager']['options']['expose']['items_per_page_options_all_label'] = '- Todo -';
$handler->display->display_options['pager']['options']['expose']['offset_label'] = 'Desplazamiento';
$handler->display->display_options['style_plugin'] = 'table';
$handler->display->display_options['style_options']['grouping'] = 'ente_planificador_hierarchical_fathers';
$handler->display->display_options['style_options']['columns'] = array(
  'title' => 'title',
  'title_1' => 'title_1',
  'ente_planificador_hierarchical_fathers' => 'ente_planificador_hierarchical_fathers',
  'field_proyecto_titulo_value' => 'field_proyecto_titulo_value',
);
$handler->display->display_options['style_options']['default'] = '-1';
$handler->display->display_options['style_options']['info'] = array(
  'title' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
  ),
  'title_1' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
  ),
  'ente_planificador_hierarchical_fathers' => array(
    'align' => '',
    'separator' => '',
  ),
  'field_proyecto_titulo_value' => array(
    'sortable' => 0,
    'default_sort_order' => 'asc',
    'align' => '',
    'separator' => '',
  ),
);
$handler->display->display_options['style_options']['override'] = 1;
$handler->display->display_options['style_options']['sticky'] = 0;
$handler->display->display_options['style_options']['empty_table'] = 0;
/* Relación: Contenido: Institucion (field_proyecto_ente) */
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['id'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['table'] = 'node_data_field_proyecto_ente';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['field'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['required'] = 1;
/* Relación: Entes Planificadores: Father hierarchical member ente. */
$handler->display->display_options['relationships']['father']['id'] = 'father';
$handler->display->display_options['relationships']['father']['table'] = 'ente_planificador_hierarchical';
$handler->display->display_options['relationships']['father']['field'] = 'father';
$handler->display->display_options['relationships']['father']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['father']['required'] = 1;
/* Campo: Nodo: Nid */
$handler->display->display_options['fields']['nid']['id'] = 'nid';
$handler->display->display_options['fields']['nid']['table'] = 'node';
$handler->display->display_options['fields']['nid']['field'] = 'nid';
$handler->display->display_options['fields']['nid']['exclude'] = TRUE;
$handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['nid']['alter']['external'] = 0;
$handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nid']['alter']['html'] = 0;
$handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
$handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
$handler->display->display_options['fields']['nid']['hide_empty'] = 0;
$handler->display->display_options['fields']['nid']['empty_zero'] = 0;
$handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['nid']['link_to_node'] = 0;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = 'Cod.';
$handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title']['alter']['external'] = 0;
$handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title']['alter']['html'] = 0;
$handler->display->display_options['fields']['title']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title']['hide_empty'] = 0;
$handler->display->display_options['fields']['title']['empty_zero'] = 0;
$handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title']['link_to_node'] = 0;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title_1']['id'] = 'title_1';
$handler->display->display_options['fields']['title_1']['table'] = 'node';
$handler->display->display_options['fields']['title_1']['field'] = 'title';
$handler->display->display_options['fields']['title_1']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['fields']['title_1']['label'] = 'Ejecutor';
$handler->display->display_options['fields']['title_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['external'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['title_1']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title_1']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['title_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['title_1']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title_1']['link_to_node'] = 0;
/* Campo: Nodo: Entes Planificadores padres */
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['id'] = 'ente_planificador_hierarchical_fathers';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['table'] = 'node';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['field'] = 'ente_planificador_hierarchical_fathers';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['label'] = 'Organismo Responsable';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['external'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['trim'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['html'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['element_label_colon'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['element_default_classes'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['hide_empty'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['empty_zero'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['link_to_ente'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['level'] = '2';
/* Campo: Contenido: Nombre del Proyecto (field_proyecto_titulo) */
$handler->display->display_options['fields']['field_proyecto_titulo_value']['id'] = 'field_proyecto_titulo_value';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['table'] = 'node_data_field_proyecto_titulo';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['field'] = 'field_proyecto_titulo_value';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['label'] = 'Nombre del Proyecto';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['format'] = 'plain';
/* Campo: Contenido: Objetivo General (field_proyecto_og) */
$handler->display->display_options['fields']['field_proyecto_og_value']['id'] = 'field_proyecto_og_value';
$handler->display->display_options['fields']['field_proyecto_og_value']['table'] = 'node_data_field_proyecto_og';
$handler->display->display_options['fields']['field_proyecto_og_value']['field'] = 'field_proyecto_og_value';
$handler->display->display_options['fields']['field_proyecto_og_value']['label'] = 'Objetivo Específico del Proyecto';
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_og_value']['format'] = 'plain';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php']['id'] = 'php';
$handler->display->display_options['fields']['php']['table'] = 'views';
$handler->display->display_options['fields']['php']['field'] = 'php';
$handler->display->display_options['fields']['php']['label'] = 'Localización';
$handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php']['alter']['external'] = 0;
$handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php']['alter']['html'] = 0;
$handler->display->display_options['fields']['php']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php']['hide_empty'] = 0;
$handler->display->display_options['fields']['php']['empty_zero'] = 0;
$handler->display->display_options['fields']['php']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php']['php_value'] = '$sql = \'SELECT ub.field_proyecto_ubicaci_inter_value FROM {content_field_proyecto_ubicaci_inter} AS ub INNER JOIN {node} AS n ON (n.nid = ub.nid AND n.vid = ub.vid) WHERE ub.nid = %d\';
$query = db_query($sql, $row->nid);
$fathers = array();

while ($datos = db_fetch_array($query)) {
  if ($datos && $datos[\'field_proyecto_ubicaci_inter_value\']) {
    $padre = array_reverse(taxonomy_get_parents_all($datos[\'field_proyecto_ubicaci_inter_value\']));
    if (isset($padre[1])) {
      $fathers[$padre[1]->tid] = $padre[1]->name;
    }
    elseif (isset($padre[0])) {
      $fathers[$padre[0]->tid] = $padre[0]->name;
    }
  }
}

return $fathers;';
$handler->display->display_options['fields']['php']['php_output'] = '<?php
print implode(\'*separador*\', $value);
?>';
$handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_1']['id'] = 'php_1';
$handler->display->display_options['fields']['php_1']['table'] = 'views';
$handler->display->display_options['fields']['php_1']['field'] = 'php';
$handler->display->display_options['fields']['php_1']['label'] = 'Bien o Servicio';
$handler->display->display_options['fields']['php_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_1']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_1']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_1']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_1']['use_php_setup'] = 1;
$handler->display->display_options['fields']['php_1']['php_setup'] = 'function convertir_numero($numero) {
  $format_number = array(
    \'decimals\' => variable_get(\'proyectos_operativos_number_decimals\', 0),
    \'dec_point\' => variable_get(\'proyectos_operativos_number_dec_point\', \',\'),
    \'thousands_sep\' => variable_get(\'proyectos_operativos_number_thousands_sep\', \'.\'),
  );
  return number_format($numero, $format_number[\'decimals\'], $format_number[\'dec_point\'], $format_number[\'thousands_sep\']);
}';
$handler->display->display_options['fields']['php_1']['php_value'] = '$sql = \'SELECT cont.field_accion_esp_bien_value as bien, cont.field_accion_esp_unidadm_value AS uni_value, cont.field_accion_esp_total_meta_value as total, term.name FROM {content_type_accion_especifica} AS cont INNER JOIN {node} as n ON n.nid = cont.nid AND n.vid = cont.vid INNER JOIN {content_field_proyecto_accion_esp} AS proy ON proy.field_proyecto_accion_esp_nid = n.nid INNER JOIN {node} as nproy ON nproy.nid = proy.nid AND nproy.vid = proy.vid INNER JOIN {term_data} AS term ON term.tid = cont.field_accion_esp_unidadm_value WHERE nproy.nid = %d\';
$query = db_query($sql, $row->nid);
$metas = array();
$unidades = array();
$bien = array();
$total = array();
while ($datos = db_fetch_array($query)) {
  $bien[] = check_plain($datos[\'bien\']);
  $unidades[] = check_plain($datos[\'name\']);
  $total[] = $datos[\'total\'];
  $totalesunid[] = convertir_numero($datos[\'total\']) . \' \' . check_plain($datos[\'name\']);
}
return $metas = array(
  \'bien\' => $bien,
  \'unidades\' => $unidades,
  \'total\' => $total,
  \'totalesunid\' => $totalesunid,
);';
$handler->display->display_options['fields']['php_1']['php_output'] = '<?php
print implode(\'*separador*\', $value[\'bien\']);
?>';
$handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_2']['id'] = 'php_2';
$handler->display->display_options['fields']['php_2']['table'] = 'views';
$handler->display->display_options['fields']['php_2']['field'] = 'php';
$handler->display->display_options['fields']['php_2']['label'] = 'Cantidad / Meta';
$handler->display->display_options['fields']['php_2']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_2']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_2']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_2']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_2']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_2']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_2']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_2']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode(\'*separador*\', $row->php_1[\'totalesunid\']);
?>';
$handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
/* Campo: Contenido: Monto a Financiar (field_proyecto_esp_monto_finan) */
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['id'] = 'field_proyecto_esp_monto_finan_value';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['table'] = 'node_data_field_proyecto_esp_monto_finan';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['field'] = 'field_proyecto_esp_monto_finan_value';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['label'] = 'Recursos Ordinarios';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['exclude'] = TRUE;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['format'] = 'unformatted';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_3']['id'] = 'php_3';
$handler->display->display_options['fields']['php_3']['table'] = 'views';
$handler->display->display_options['fields']['php_3']['field'] = 'php';
$handler->display->display_options['fields']['php_3']['label'] = 'Fuente';
$handler->display->display_options['fields']['php_3']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_3']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_3']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_3']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_3']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_3']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_3']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_3']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_3']['use_php_setup'] = 1;
$handler->display->display_options['fields']['php_3']['php_setup'] = 'function convertir_numero_millon($numero) {
  $format_number = array(
    \'decimals\' => variable_get(\'proyectos_operativos_number_decimals\', 0),
    \'dec_point\' => variable_get(\'proyectos_operativos_number_dec_point\', \',\'),
    \'thousands_sep\' => variable_get(\'proyectos_operativos_number_thousands_sep\', \'.\'),
  );
  return number_format($numero, $format_number[\'decimals\'], $format_number[\'dec_point\'], $format_number[\'thousands_sep\']);
}';
$handler->display->display_options['fields']['php_3']['php_value'] = '  $node_type = content_types(\'accion_especifica\');
  $fields = $node_type[\'fields\'];
  $accion_especifica_number_fields = variable_get(\'accion_especifica_number_fields\', 4);
  $fuentes_id = array();
  $k = 1;
  if ($accion_especifica_number_fields > 0) {
    for($i = 0; $i < $accion_especifica_number_fields; $i++) {
      $arreglo_financiamiento[\'financiamiento_\' . $i] = variable_get(\'accion_especifica_financiamiento_label_\' . $i, \'\') ? variable_get(\'accion_especifica_financiamiento_label_\' . $i, \'\') : \'\';
      $fuentes = variable_get(\'accion_especifica_financiamiento_options_\' . $i, array());
      foreach($fuentes as $id) {
        if ($id) {
          $fuentes_id[\'campo_\' . $k . \'_total\'] = $id;
          $k++;
        }
      }
    }
  }
  $select =array();
  $select[\'node_nid\'] = \'node.nid AS node_nid\';
  //Se agrega la cantidad de AE
  $select[\'node_node_data_field_proyecto_accion_esp_nid\'] = \'COUNT(node_node_data_field_proyecto_accion_esp.nid) AS node_node_data_field_proyecto_accion_esp_nid\';
  $from = array();
  $from[] = \'{node} AS node\';
  $join = array();  
  $join[] = \'LEFT JOIN {content_field_proyecto_accion_esp} AS node_data_field_proyecto_accion_esp ON node.vid = node_data_field_proyecto_accion_esp.vid\';  
  $join[] = \'LEFT JOIN {node} AS node_node_data_field_proyecto_accion_esp ON node_data_field_proyecto_accion_esp.field_proyecto_accion_esp_nid = node_node_data_field_proyecto_accion_esp.nid\';
  $join[] = \'LEFT JOIN {content_type_accion_especifica} AS node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias ON node_node_data_field_proyecto_accion_esp.vid = node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias.vid\';
  $where = array();
  $where[] = "node.type in (\'proyectos_operativos\') AND node.nid = %d";
  $groupby = array();
  $groupby[] = \'node_nid\';
  $i = 0;
  foreach ($fuentes_id as $id) {
    $select[\'campo_\' . $i . \'total\'] = \'SUM(node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias.\' . $id . \'_value) AS campo_\' . $i . \'_total\';
    $i++;
  }
  $sql = \'SELECT \' . implode(\', \', $select) . \' FROM \' . implode(\', \', $from) . \' \' . implode (\' \', $join) . \' WHERE \' . implode(\' AND \', $where) . \' GROUP BY \' . implode(\', \', $groupby);
  $datos = db_fetch_array(db_query($sql, $row->nid));
  $textos = array();
  $valores = array();
  $textos[] = "Recursos Ordinarios";
  $valores[] = convertir_numero_millon($row->field_proyecto_esp_monto_finan_value);
  $suma = $row->field_proyecto_esp_monto_finan_value; 
  foreach ($datos as $id => $valor) {
    if ($valor && isset($fuentes_id[$id])) {
      $suma += $valor;
      $textos[] = $fields[$fuentes_id[$id]][\'widget\'][\'label\'];
      $valores[] = convertir_numero_millon($valor);
    }
  }    
  return array(
    \'fuentes\' => $textos,
    \'valores\' => $valores,
    \'total\' => convertir_numero_millon($suma),
  );
';
$handler->display->display_options['fields']['php_3']['php_output'] = '<?php
print implode(\'*separador*\', $value[\'fuentes\']);
?>';
$handler->display->display_options['fields']['php_3']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_3']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_4']['id'] = 'php_4';
$handler->display->display_options['fields']['php_4']['table'] = 'views';
$handler->display->display_options['fields']['php_4']['field'] = 'php';
$handler->display->display_options['fields']['php_4']['label'] = 'Monto';
$handler->display->display_options['fields']['php_4']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_4']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_4']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_4']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_4']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_4']['empty'] = '0';
$handler->display->display_options['fields']['php_4']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_4']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_4']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_4']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_4']['php_output'] = '<?php
print implode(\'*separador*\', $row->php_3[\'valores\']);
?>';
$handler->display->display_options['fields']['php_4']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_4']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_5']['id'] = 'php_5';
$handler->display->display_options['fields']['php_5']['table'] = 'views';
$handler->display->display_options['fields']['php_5']['field'] = 'php';
$handler->display->display_options['fields']['php_5']['label'] = 'Total';
$handler->display->display_options['fields']['php_5']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_5']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_5']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_5']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_5']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_5']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_5']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_5']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_5']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_5']['php_output'] = '<?php
print $row->php_3[\'total\'];
?>';
$handler->display->display_options['fields']['php_5']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_5']['php_click_sortable'] = '';
/* Campo: Proyectos Operativos: Año */
$handler->display->display_options['fields']['year']['id'] = 'year';
$handler->display->display_options['fields']['year']['table'] = 'proyectos_operativos';
$handler->display->display_options['fields']['year']['field'] = 'year';
$handler->display->display_options['fields']['year']['exclude'] = TRUE;
$handler->display->display_options['fields']['year']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['year']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['year']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['year']['alter']['external'] = 0;
$handler->display->display_options['fields']['year']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['year']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['year']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['year']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['year']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['year']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['year']['alter']['trim'] = 0;
$handler->display->display_options['fields']['year']['alter']['html'] = 0;
$handler->display->display_options['fields']['year']['element_label_colon'] = 1;
$handler->display->display_options['fields']['year']['element_default_classes'] = 1;
$handler->display->display_options['fields']['year']['hide_empty'] = 0;
$handler->display->display_options['fields']['year']['empty_zero'] = 0;
$handler->display->display_options['fields']['year']['hide_alter_empty'] = 1;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title_2']['id'] = 'title_2';
$handler->display->display_options['fields']['title_2']['table'] = 'node';
$handler->display->display_options['fields']['title_2']['field'] = 'title';
$handler->display->display_options['fields']['title_2']['relationship'] = 'father';
$handler->display->display_options['fields']['title_2']['label'] = 'Ministerio u organo';
$handler->display->display_options['fields']['title_2']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['external'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title_2']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title_2']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['html'] = 0;
$handler->display->display_options['fields']['title_2']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title_2']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title_2']['hide_empty'] = 0;
$handler->display->display_options['fields']['title_2']['empty_zero'] = 0;
$handler->display->display_options['fields']['title_2']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title_2']['link_to_node'] = 0;
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title']['id'] = 'title';
$handler->display->display_options['sorts']['title']['table'] = 'node';
$handler->display->display_options['sorts']['title']['field'] = 'title';
$handler->display->display_options['sorts']['title']['relationship'] = 'field_proyecto_ente_nid';
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title_1']['id'] = 'title_1';
$handler->display->display_options['sorts']['title_1']['table'] = 'node';
$handler->display->display_options['sorts']['title_1']['field'] = 'title';
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title_2']['id'] = 'title_2';
$handler->display->display_options['sorts']['title_2']['table'] = 'node';
$handler->display->display_options['sorts']['title_2']['field'] = 'title';
/* Filtro: Nodo: Tipo */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'proyectos_operativos' => 'proyectos_operativos',
);
/* Filtro: Flujo de trabajo: Estado actual */
$handler->display->display_options['filters']['sid']['id'] = 'sid';
$handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
$handler->display->display_options['filters']['sid']['field'] = 'sid';
$handler->display->display_options['filters']['sid']['value'] = array(
  122 => '122',
  126 => '126',
  131 => '131',
  133 => '133',
);
/* Filtro: Proyectos Operativos: Año */
$handler->display->display_options['filters']['year']['id'] = 'year';
$handler->display->display_options['filters']['year']['table'] = 'proyectos_operativos';
$handler->display->display_options['filters']['year']['field'] = 'year';
$handler->display->display_options['filters']['year']['value']['value'] = '0';
$handler->display->display_options['filters']['year']['allow_null'] = 0;
$handler->display->display_options['filters']['year']['proyect_year'] = 1;
/* Filtro: Entes Planificadores: Tipo */
$handler->display->display_options['filters']['tipo']['id'] = 'tipo';
$handler->display->display_options['filters']['tipo']['table'] = 'ente_planificador';
$handler->display->display_options['filters']['tipo']['field'] = 'tipo';
$handler->display->display_options['filters']['tipo']['relationship'] = 'father';
$handler->display->display_options['filters']['tipo']['value'] = array(
  2 => '2',
);
$handler->display->display_options['filters']['tipo']['reduce_duplicates'] = 0;

/* Display: B1 */
$handler = $view->new_display('block', 'B1', 'block_1');
$handler->display->display_options['defaults']['pager'] = FALSE;
$handler->display->display_options['pager']['type'] = 'none';
$handler->display->display_options['pager']['options']['offset'] = '0';
$handler->display->display_options['defaults']['relationships'] = FALSE;
/* Relación: Contenido: Institucion (field_proyecto_ente) */
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['id'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['table'] = 'node_data_field_proyecto_ente';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['field'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['field_proyecto_ente_nid']['required'] = 1;
/* Relación: Entes Planificadores: Father hierarchical member ente. */
$handler->display->display_options['relationships']['father']['id'] = 'father';
$handler->display->display_options['relationships']['father']['table'] = 'ente_planificador_hierarchical';
$handler->display->display_options['relationships']['father']['field'] = 'father';
$handler->display->display_options['relationships']['father']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['relationships']['father']['required'] = 1;
$handler->display->display_options['defaults']['fields'] = FALSE;
/* Campo: Nodo: Nid */
$handler->display->display_options['fields']['nid']['id'] = 'nid';
$handler->display->display_options['fields']['nid']['table'] = 'node';
$handler->display->display_options['fields']['nid']['field'] = 'nid';
$handler->display->display_options['fields']['nid']['exclude'] = TRUE;
$handler->display->display_options['fields']['nid']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['nid']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nid']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['nid']['alter']['external'] = 0;
$handler->display->display_options['fields']['nid']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['nid']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['nid']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['nid']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nid']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nid']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nid']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nid']['alter']['html'] = 0;
$handler->display->display_options['fields']['nid']['element_label_colon'] = 1;
$handler->display->display_options['fields']['nid']['element_default_classes'] = 1;
$handler->display->display_options['fields']['nid']['hide_empty'] = 0;
$handler->display->display_options['fields']['nid']['empty_zero'] = 0;
$handler->display->display_options['fields']['nid']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['nid']['link_to_node'] = 0;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title']['id'] = 'title';
$handler->display->display_options['fields']['title']['table'] = 'node';
$handler->display->display_options['fields']['title']['field'] = 'title';
$handler->display->display_options['fields']['title']['label'] = 'Cod.';
$handler->display->display_options['fields']['title']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title']['alter']['external'] = 0;
$handler->display->display_options['fields']['title']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title']['alter']['html'] = 0;
$handler->display->display_options['fields']['title']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title']['hide_empty'] = 0;
$handler->display->display_options['fields']['title']['empty_zero'] = 0;
$handler->display->display_options['fields']['title']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title']['link_to_node'] = 0;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title_1']['id'] = 'title_1';
$handler->display->display_options['fields']['title_1']['table'] = 'node';
$handler->display->display_options['fields']['title_1']['field'] = 'title';
$handler->display->display_options['fields']['title_1']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['fields']['title_1']['label'] = 'Ejecutor';
$handler->display->display_options['fields']['title_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['external'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['title_1']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title_1']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['title_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['title_1']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title_1']['link_to_node'] = 0;
/* Campo: Nodo: Entes Planificadores padres */
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['id'] = 'ente_planificador_hierarchical_fathers';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['table'] = 'node';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['field'] = 'ente_planificador_hierarchical_fathers';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['relationship'] = 'field_proyecto_ente_nid';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['label'] = 'Organismo Responsable';
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['external'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['trim'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['alter']['html'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['element_label_colon'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['element_default_classes'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['hide_empty'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['empty_zero'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['link_to_ente'] = 0;
$handler->display->display_options['fields']['ente_planificador_hierarchical_fathers']['level'] = '2';
/* Campo: Contenido: Nombre del Proyecto (field_proyecto_titulo) */
$handler->display->display_options['fields']['field_proyecto_titulo_value']['id'] = 'field_proyecto_titulo_value';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['table'] = 'node_data_field_proyecto_titulo';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['field'] = 'field_proyecto_titulo_value';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['label'] = 'Nombre del Proyecto';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_titulo_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_titulo_value']['format'] = 'plain';
/* Campo: Contenido: Objetivo General (field_proyecto_og) */
$handler->display->display_options['fields']['field_proyecto_og_value']['id'] = 'field_proyecto_og_value';
$handler->display->display_options['fields']['field_proyecto_og_value']['table'] = 'node_data_field_proyecto_og';
$handler->display->display_options['fields']['field_proyecto_og_value']['field'] = 'field_proyecto_og_value';
$handler->display->display_options['fields']['field_proyecto_og_value']['label'] = 'Objetivo Específico del Proyecto';
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_og_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_og_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_og_value']['format'] = 'plain';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php']['id'] = 'php';
$handler->display->display_options['fields']['php']['table'] = 'views';
$handler->display->display_options['fields']['php']['field'] = 'php';
$handler->display->display_options['fields']['php']['label'] = 'Localización';
$handler->display->display_options['fields']['php']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php']['alter']['external'] = 0;
$handler->display->display_options['fields']['php']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php']['alter']['html'] = 0;
$handler->display->display_options['fields']['php']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php']['hide_empty'] = 0;
$handler->display->display_options['fields']['php']['empty_zero'] = 0;
$handler->display->display_options['fields']['php']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php']['php_value'] = '$sql = \'SELECT ub.field_proyecto_ubicaci_inter_value FROM {content_field_proyecto_ubicaci_inter} AS ub INNER JOIN {node} AS n ON (n.nid = ub.nid AND n.vid = ub.vid) WHERE ub.nid = %d\';
$query = db_query($sql, $row->nid);
$fathers = array();

while ($datos = db_fetch_array($query)) {
  if ($datos && $datos[\'field_proyecto_ubicaci_inter_value\']) {
    $padre = array_reverse(taxonomy_get_parents_all($datos[\'field_proyecto_ubicaci_inter_value\']));
    if (isset($padre[1])) {
      $fathers[$padre[1]->tid] = $padre[1]->name;
    }
    elseif (isset($padre[0])) {
      $fathers[$padre[0]->tid] = $padre[0]->name;
    }
  }
}

return $fathers;';
$handler->display->display_options['fields']['php']['php_output'] = '<?php
print implode(\'*separador*\', $value);
?>';
$handler->display->display_options['fields']['php']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_1']['id'] = 'php_1';
$handler->display->display_options['fields']['php_1']['table'] = 'views';
$handler->display->display_options['fields']['php_1']['field'] = 'php';
$handler->display->display_options['fields']['php_1']['label'] = 'Bien o Servicio';
$handler->display->display_options['fields']['php_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_1']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_1']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_1']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_1']['use_php_setup'] = 1;
$handler->display->display_options['fields']['php_1']['php_setup'] = 'function convertir_numero($numero) {
  $format_number = array(
    \'decimals\' => variable_get(\'proyectos_operativos_number_decimals\', 0),
    \'dec_point\' => variable_get(\'proyectos_operativos_number_dec_point\', \',\'),
    \'thousands_sep\' => variable_get(\'proyectos_operativos_number_thousands_sep\', \'.\'),
  );
  return number_format($numero, $format_number[\'decimals\'], $format_number[\'dec_point\'], $format_number[\'thousands_sep\']);
}';
$handler->display->display_options['fields']['php_1']['php_value'] = '$sql = \'SELECT cont.field_accion_esp_bien_value as bien, cont.field_accion_esp_unidadm_value AS uni_value, cont.field_accion_esp_total_meta_value as total, term.name FROM {content_type_accion_especifica} AS cont INNER JOIN {node} as n ON n.nid = cont.nid AND n.vid = cont.vid INNER JOIN {content_field_proyecto_accion_esp} AS proy ON proy.field_proyecto_accion_esp_nid = n.nid INNER JOIN {node} as nproy ON nproy.nid = proy.nid AND nproy.vid = proy.vid INNER JOIN {term_data} AS term ON term.tid = cont.field_accion_esp_unidadm_value WHERE nproy.nid = %d\';
$query = db_query($sql, $row->nid);
$metas = array();
$unidades = array();
$bien = array();
$total = array();
while ($datos = db_fetch_array($query)) {
  $bien[] = check_plain($datos[\'bien\']);
  $unidades[] = check_plain($datos[\'name\']);
  $total[] = $datos[\'total\'];
  $totalesunid[] = convertir_numero($datos[\'total\']) . \' \' . check_plain($datos[\'name\']);
}
return $metas = array(
  \'bien\' => $bien,
  \'unidades\' => $unidades,
  \'total\' => $total,
  \'totalesunid\' => $totalesunid,
);';
$handler->display->display_options['fields']['php_1']['php_output'] = '<?php
print implode(\'*separador*\', $value[\'bien\']);
?>';
$handler->display->display_options['fields']['php_1']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_1']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_2']['id'] = 'php_2';
$handler->display->display_options['fields']['php_2']['table'] = 'views';
$handler->display->display_options['fields']['php_2']['field'] = 'php';
$handler->display->display_options['fields']['php_2']['label'] = 'Cantidad / Meta';
$handler->display->display_options['fields']['php_2']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_2']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_2']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_2']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_2']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_2']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_2']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_2']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_2']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_2']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_2']['php_output'] = '<?php
print implode(\'*separador*\', $row->php_1[\'totalesunid\']);
?>';
$handler->display->display_options['fields']['php_2']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_2']['php_click_sortable'] = '';
/* Campo: Contenido: Monto a Financiar (field_proyecto_esp_monto_finan) */
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['id'] = 'field_proyecto_esp_monto_finan_value';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['table'] = 'node_data_field_proyecto_esp_monto_finan';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['field'] = 'field_proyecto_esp_monto_finan_value';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['label'] = 'Recursos Ordinarios';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['exclude'] = TRUE;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['external'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['trim'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['alter']['html'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['element_label_colon'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['element_default_classes'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['hide_empty'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['empty_zero'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['link_to_node'] = 0;
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['label_type'] = 'custom';
$handler->display->display_options['fields']['field_proyecto_esp_monto_finan_value']['format'] = 'unformatted';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_3']['id'] = 'php_3';
$handler->display->display_options['fields']['php_3']['table'] = 'views';
$handler->display->display_options['fields']['php_3']['field'] = 'php';
$handler->display->display_options['fields']['php_3']['label'] = 'Fuente';
$handler->display->display_options['fields']['php_3']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_3']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_3']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_3']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_3']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_3']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_3']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_3']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_3']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_3']['use_php_setup'] = 1;
$handler->display->display_options['fields']['php_3']['php_setup'] = 'function convertir_numero_millon($numero) {
  $format_number = array(
    \'decimals\' => variable_get(\'proyectos_operativos_number_decimals\', 0),
    \'dec_point\' => variable_get(\'proyectos_operativos_number_dec_point\', \',\'),
    \'thousands_sep\' => variable_get(\'proyectos_operativos_number_thousands_sep\', \'.\'),
  );
  return number_format($numero, $format_number[\'decimals\'], $format_number[\'dec_point\'], $format_number[\'thousands_sep\']);
}';
$handler->display->display_options['fields']['php_3']['php_value'] = '  $node_type = content_types(\'accion_especifica\');
  $fields = $node_type[\'fields\'];
  $accion_especifica_number_fields = variable_get(\'accion_especifica_number_fields\', 4);
  $fuentes_id = array();
  $k = 1;
  if ($accion_especifica_number_fields > 0) {
    for($i = 0; $i < $accion_especifica_number_fields; $i++) {
      $arreglo_financiamiento[\'financiamiento_\' . $i] = variable_get(\'accion_especifica_financiamiento_label_\' . $i, \'\') ? variable_get(\'accion_especifica_financiamiento_label_\' . $i, \'\') : \'\';
      $fuentes = variable_get(\'accion_especifica_financiamiento_options_\' . $i, array());
      foreach($fuentes as $id) {
        if ($id) {
          $fuentes_id[\'campo_\' . $k . \'_total\'] = $id;
          $k++;
        }
      }
    }
  }
  $select =array();
  $select[\'node_nid\'] = \'node.nid AS node_nid\';
  //Se agrega la cantidad de AE
  $select[\'node_node_data_field_proyecto_accion_esp_nid\'] = \'COUNT(node_node_data_field_proyecto_accion_esp.nid) AS node_node_data_field_proyecto_accion_esp_nid\';
  $from = array();
  $from[] = \'{node} AS node\';
  $join = array();  
  $join[] = \'LEFT JOIN {content_field_proyecto_accion_esp} AS node_data_field_proyecto_accion_esp ON node.vid = node_data_field_proyecto_accion_esp.vid\';  
  $join[] = \'LEFT JOIN {node} AS node_node_data_field_proyecto_accion_esp ON node_data_field_proyecto_accion_esp.field_proyecto_accion_esp_nid = node_node_data_field_proyecto_accion_esp.nid\';
  $join[] = \'LEFT JOIN {content_type_accion_especifica} AS node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias ON node_node_data_field_proyecto_accion_esp.vid = node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias.vid\';
  $where = array();
  $where[] = "node.type in (\'proyectos_operativos\') AND node.nid = %d";
  $groupby = array();
  $groupby[] = \'node_nid\';
  $i = 0;
  foreach ($fuentes_id as $id) {
    $select[\'campo_\' . $i . \'total\'] = \'SUM(node_node_data_field_proyecto_accion_esp_node_data_field_accion_esp_transferencias.\' . $id . \'_value) AS campo_\' . $i . \'_total\';
    $i++;
  }
  $sql = \'SELECT \' . implode(\', \', $select) . \' FROM \' . implode(\', \', $from) . \' \' . implode (\' \', $join) . \' WHERE \' . implode(\' AND \', $where) . \' GROUP BY \' . implode(\', \', $groupby);
  $datos = db_fetch_array(db_query($sql, $row->nid));
  $textos = array();
  $valores = array();
  $textos[] = "Recursos Ordinarios";
  $valores[] = convertir_numero_millon($row->field_proyecto_esp_monto_finan_value);
  $suma = $row->field_proyecto_esp_monto_finan_value; 
  foreach ($datos as $id => $valor) {
    if ($valor && isset($fuentes_id[$id])) {
      $suma += $valor;
      $textos[] = $fields[$fuentes_id[$id]][\'widget\'][\'label\'];
      $valores[] = convertir_numero_millon($valor);
    }
  }    
  return array(
    \'fuentes\' => $textos,
    \'valores\' => $valores,
    \'total\' => convertir_numero_millon($suma),
  );
';
$handler->display->display_options['fields']['php_3']['php_output'] = '<?php
print implode(\'*separador*\', $value[\'fuentes\']);
?>';
$handler->display->display_options['fields']['php_3']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_3']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_4']['id'] = 'php_4';
$handler->display->display_options['fields']['php_4']['table'] = 'views';
$handler->display->display_options['fields']['php_4']['field'] = 'php';
$handler->display->display_options['fields']['php_4']['label'] = 'Monto';
$handler->display->display_options['fields']['php_4']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_4']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_4']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_4']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_4']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_4']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_4']['empty'] = '0';
$handler->display->display_options['fields']['php_4']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_4']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_4']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_4']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_4']['php_output'] = '<?php
print implode(\'*separador*\', $row->php_3[\'valores\']);
?>';
$handler->display->display_options['fields']['php_4']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_4']['php_click_sortable'] = '';
/* Campo: Global: PHP */
$handler->display->display_options['fields']['php_5']['id'] = 'php_5';
$handler->display->display_options['fields']['php_5']['table'] = 'views';
$handler->display->display_options['fields']['php_5']['field'] = 'php';
$handler->display->display_options['fields']['php_5']['label'] = 'Total';
$handler->display->display_options['fields']['php_5']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['external'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['php_5']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['php_5']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['trim'] = 0;
$handler->display->display_options['fields']['php_5']['alter']['html'] = 0;
$handler->display->display_options['fields']['php_5']['element_label_colon'] = 1;
$handler->display->display_options['fields']['php_5']['element_default_classes'] = 1;
$handler->display->display_options['fields']['php_5']['hide_empty'] = 0;
$handler->display->display_options['fields']['php_5']['empty_zero'] = 0;
$handler->display->display_options['fields']['php_5']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['php_5']['use_php_setup'] = 0;
$handler->display->display_options['fields']['php_5']['php_output'] = '<?php
print $row->php_3[\'total\'];
?>';
$handler->display->display_options['fields']['php_5']['use_php_click_sortable'] = '0';
$handler->display->display_options['fields']['php_5']['php_click_sortable'] = '';
/* Campo: Proyectos Operativos: Año */
$handler->display->display_options['fields']['year']['id'] = 'year';
$handler->display->display_options['fields']['year']['table'] = 'proyectos_operativos';
$handler->display->display_options['fields']['year']['field'] = 'year';
$handler->display->display_options['fields']['year']['exclude'] = TRUE;
$handler->display->display_options['fields']['year']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['year']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['year']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['year']['alter']['external'] = 0;
$handler->display->display_options['fields']['year']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['year']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['year']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['year']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['year']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['year']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['year']['alter']['trim'] = 0;
$handler->display->display_options['fields']['year']['alter']['html'] = 0;
$handler->display->display_options['fields']['year']['element_label_colon'] = 1;
$handler->display->display_options['fields']['year']['element_default_classes'] = 1;
$handler->display->display_options['fields']['year']['hide_empty'] = 0;
$handler->display->display_options['fields']['year']['empty_zero'] = 0;
$handler->display->display_options['fields']['year']['hide_alter_empty'] = 1;
/* Campo: Nodo: Título */
$handler->display->display_options['fields']['title_2']['id'] = 'title_2';
$handler->display->display_options['fields']['title_2']['table'] = 'node';
$handler->display->display_options['fields']['title_2']['field'] = 'title';
$handler->display->display_options['fields']['title_2']['relationship'] = 'father';
$handler->display->display_options['fields']['title_2']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['external'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['title_2']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['title_2']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['trim'] = 0;
$handler->display->display_options['fields']['title_2']['alter']['html'] = 0;
$handler->display->display_options['fields']['title_2']['element_label_colon'] = 1;
$handler->display->display_options['fields']['title_2']['element_default_classes'] = 1;
$handler->display->display_options['fields']['title_2']['hide_empty'] = 0;
$handler->display->display_options['fields']['title_2']['empty_zero'] = 0;
$handler->display->display_options['fields']['title_2']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['title_2']['link_to_node'] = 0;
/* Campo: Nodo: Nid */
$handler->display->display_options['fields']['nid_1']['id'] = 'nid_1';
$handler->display->display_options['fields']['nid_1']['table'] = 'node';
$handler->display->display_options['fields']['nid_1']['field'] = 'nid';
$handler->display->display_options['fields']['nid_1']['relationship'] = 'father';
$handler->display->display_options['fields']['nid_1']['label'] = 'Nid padre';
$handler->display->display_options['fields']['nid_1']['alter']['alter_text'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['make_link'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['absolute'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['external'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['replace_spaces'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['trim_whitespace'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['nl2br'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['word_boundary'] = 1;
$handler->display->display_options['fields']['nid_1']['alter']['ellipsis'] = 1;
$handler->display->display_options['fields']['nid_1']['alter']['strip_tags'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['trim'] = 0;
$handler->display->display_options['fields']['nid_1']['alter']['html'] = 0;
$handler->display->display_options['fields']['nid_1']['element_label_colon'] = 1;
$handler->display->display_options['fields']['nid_1']['element_default_classes'] = 1;
$handler->display->display_options['fields']['nid_1']['hide_empty'] = 0;
$handler->display->display_options['fields']['nid_1']['empty_zero'] = 0;
$handler->display->display_options['fields']['nid_1']['hide_alter_empty'] = 1;
$handler->display->display_options['fields']['nid_1']['link_to_node'] = 0;
$handler->display->display_options['defaults']['sorts'] = FALSE;
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title_2']['id'] = 'title_2';
$handler->display->display_options['sorts']['title_2']['table'] = 'node';
$handler->display->display_options['sorts']['title_2']['field'] = 'title';
$handler->display->display_options['sorts']['title_2']['relationship'] = 'father';
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title']['id'] = 'title';
$handler->display->display_options['sorts']['title']['table'] = 'node';
$handler->display->display_options['sorts']['title']['field'] = 'title';
$handler->display->display_options['sorts']['title']['relationship'] = 'field_proyecto_ente_nid';
/* Criterio de ordenación: Nodo: Título */
$handler->display->display_options['sorts']['title_1']['id'] = 'title_1';
$handler->display->display_options['sorts']['title_1']['table'] = 'node';
$handler->display->display_options['sorts']['title_1']['field'] = 'title';
$handler->display->display_options['defaults']['filters'] = FALSE;
/* Filtro: Nodo: Tipo */
$handler->display->display_options['filters']['type']['id'] = 'type';
$handler->display->display_options['filters']['type']['table'] = 'node';
$handler->display->display_options['filters']['type']['field'] = 'type';
$handler->display->display_options['filters']['type']['value'] = array(
  'proyectos_operativos' => 'proyectos_operativos',
);
/* Filtro: Flujo de trabajo: Estado actual */
$handler->display->display_options['filters']['sid']['id'] = 'sid';
$handler->display->display_options['filters']['sid']['table'] = 'workflow_node';
$handler->display->display_options['filters']['sid']['field'] = 'sid';
$handler->display->display_options['filters']['sid']['value'] = array(
  122 => '122',
  126 => '126',
  131 => '131',
  133 => '133',
);
/* Filtro: Proyectos Operativos: Año */
$handler->display->display_options['filters']['year']['id'] = 'year';
$handler->display->display_options['filters']['year']['table'] = 'proyectos_operativos';
$handler->display->display_options['filters']['year']['field'] = 'year';
$handler->display->display_options['filters']['year']['value']['value'] = '0';
$handler->display->display_options['filters']['year']['allow_null'] = 0;
$handler->display->display_options['filters']['year']['proyect_year'] = 1;
/* Filtro: Entes Planificadores: Tipo */
$handler->display->display_options['filters']['tipo']['id'] = 'tipo';
$handler->display->display_options['filters']['tipo']['table'] = 'ente_planificador';
$handler->display->display_options['filters']['tipo']['field'] = 'tipo';
$handler->display->display_options['filters']['tipo']['relationship'] = 'father';
$handler->display->display_options['filters']['tipo']['value'] = array(
  2 => '2',
);
$handler->display->display_options['filters']['tipo']['reduce_duplicates'] = 0;
$translatables['reporte_poan_anual'] = array(
  t('Predefinidos'),
  t('más'),
  t('Aplicar'),
  t('Reiniciar'),
  t('Ordenar por'),
  t('Asc'),
  t('Desc'),
  t('Elementos por página'),
  t('- Todo -'),
  t('Desplazamiento'),
  t('Institucion'),
  t('Father hierarchical member'),
  t('Nid'),
  t('Cod.'),
  t('Ejecutor'),
  t('Organismo Responsable'),
  t('2'),
  t('Nombre del Proyecto'),
  t('Objetivo Específico del Proyecto'),
  t('Localización'),
  t('Bien o Servicio'),
  t('Cantidad / Meta'),
  t('Recursos Ordinarios'),
  t('Fuente'),
  t('Monto'),
  t('Total'),
  t('Año'),
  t('Ministerio u organo'),
  t('B1'),
  t('Título'),
  t('Nid padre'),
);



  $views[$view->name] = $view;
  return $views;
}
